2022-08-11 11:10 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003058Subwar2050[WHDLoad Installs Games] AGApublic2017-04-08 23:29
Reportermaw2k 
Assigned ToJOTDProject InfoSubwar 2050 (Microprose)
http://www.whdload.de/games/Subwar2050.html
 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
Summary0003058: Exception: Line 1111 Emulator $402c at $FE565D task (exec.library, ExpMem $15D6)
Descriptionwhen I start to load the game the error occurs.
Steps To Reproducestart the game
Additional InformationPROCESSOR: CPU 68060/68060fpu/68060mmu
CUSTOM CHIPS: AA PAL Alice (id=$0023), AA Lisa (id=$00F8)
VERS: Kickstart version 45.57, Exec version 45.20, Disk version 45.3
RAM: Node type $A, Attributes $505 (FAST), at $8000000-$FFFFFFF (128.0 meg)
    Node type $A, Attributes $505 (FAST), at $7E00000-$7FFFFFF (2.0 meg)
    Node type $A, Attributes $703 (CHIP), at $4000-$1FFFFF (~2.0 meg)
BOARDS:
 Board + ROM (HD?) (phase 5): Prod=8512/25($2140/$19) (@$EA0000 128K)
 Board (Individual Computers): Prod=4626/100($1212/$64)
     (@$40000000, size 64meg, subsize 64K)
 Board (phase 5): Prod=8512/34($2140/$22)
     (@$44000000, size 64meg, subsize same)
TagsNo tags attached.
MachineA4000
CPU68060
CPUSpeed50
ChipSetAGA
GFXCardCyberVision 64
ChipMem2 MB
FastMem128 MB
WorkbenchOS 3.9
KickROM40 - Kick 3.1
KickSoft40 - Kick 3.1
WHDLoad17.2
imported
Attached Files
  • jpg file icon IMAG1288.jpg (125,512 bytes) 2014-09-18 02:30 -
    jpg file icon IMAG1288.jpg (125,512 bytes) 2014-09-18 02:30 +
  • ? file icon .whdl_register (3,962 bytes) 2017-03-26 21:54 -
    ************************* 15-Mär-17 01:43:09 ************************18.2.5735***
    Slave='Subwar2050.Slave' (5080 bytes)
    ShadowMem 78B95A08 - 78D94A08 (2093056) AbsolutMem   1FF000 -   1FF000 (      0)
    Resload   7EE67000 - 7EE6F41C (  33820) at 7EE67000  GL=$7EFF2000
    Slave     7EFFB000 - 7EFFC3B4 (   5044) at 7EFFB000  BaseMemSize=$1FF000
    ExpMem    7EE71000 - 7EFF1000 (1572864) at 7EE71000
    attn=FF(60,82) fc=-1 kn=20481 cs=C42D rw=0 zpt=-1 ep=0 ei=0
    setcpu=33D(DC,IC,SCB,ECB,BNC)
    
    Exception "Line 1111 Emulator" ($402C) at $7EE725CE (Task 'exec.library',
    ExpMem $15CE) occured.
    
    $7ee7259e rts
    $7ee725a0 move         #$2000,sr
    $7ee725a4 move.l       a5,-(a7)                       ;$7eef3568
    $7ee725a6 move         usp,a5
    $7ee725a8 movem.l      d0-d7/a0-a6,-(a5)              ;$7eef44f2
    $7ee725ac move.l       (4).w,a6
    $7ee725b0 move.w       ($126,a6),d0                   ;$7eef1c26
    $7ee725b4 move.w       #$ffff,($126,a6)               ;$7eef1c26
    $7ee725ba move.w       #$c000,($dff09a)
    $7ee725c2 move.l       (a7)+,($34,a5)                 ;$7eef3568 $7eef4526
    $7ee725c6 move.w       (a7)+,-(a5)                    ;$7eef3568 $7eef44f2
    $7ee725c8 move.l       (a7)+,-(a5)                    ;$7eef3568 $7eef44f2
    $7ee725ca move.w       (a7)+,d1                       ;$7eef3568
    $7ee725cc fsave        -(a5)                          ;$7eef44f2
    ›1m$7ee725ce tst.b        (a5)                           ;$7eef44f2
    ›22m$7ee725d0 beq.w        $7ee72428
    $7ee725d4 moveq        #-1,d2
    $7ee725d6 move.w       d2,-(a5)                       ;$7eef44f2
    $7ee725d8 and.w        #$f000,d1
    $7ee725dc cmp.w        #$9000,d1
    $7ee725e0 bne.b        $7ee725ea
    $7ee725e2 move.l       (a7)+,-(a5)                    ;$7eef3568 $7eef44f2
    $7ee725e4 move.l       (a7)+,-(a5)                    ;$7eef3568 $7eef44f2
    $7ee725e6 move.l       (a7)+,-(a5)                    ;$7eef3568 $7eef44f2
    $7ee725e8 move.w       d1,d2
    $7ee725ea fmovem.x     fp0-fp7,-(a5)                  ;$7eef44f2
    $7ee725ee fmovem.l     fpcr/fpsr/fpiar,-(a5)          ;$7eef44f2
    $7ee725f2 move.w       d2,-(a5)                       ;$7eef44f2
    $7ee725f4 bra.w        $7ee72428
    
    exception stackframe:
    $7EEF3568 20007EE7 25CE402C 00000000 7EE725CC
    regular stack:
    $7EEF3578 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    $7EEF3598 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    $7EEF35B8 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    $7EEF35D8 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    $7EEF35F8 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx 7EEFFFFF        20      1801         0         0         0  FFFFFFFF         0
    Ax 7EEF1C96  7EEF98A2  7EEAC380         0  7EFF1000  7EEF44F2  7EEF1B00
    
                     TTSM III   XNZVC
    PC=7EE725CE›22m  SR %0010000000000000  USP=7EEF4534  ›1mSSP=7EEF3568
    VBR=7EFF3000  SFC=5  DFC=5  CACR=80008000  PCR=4300122  BUSCR=0
    TC=8000  URP=7EE63000  SRP=7EE63000
    DTT0=0  DTT1=0  ITT0=0  ITT1=0
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%0110000000101100›22m dmacon=%›1m0010001111110000 adkcon=$1100
    intreq=%0000000001000000
    vposr....A300  vhposr...0286  joy0dat..0100  joy1dat..0000  clxdat...8001  
    pot0dat..C800  pot1dat..E400  potinp...5500  serdatr..3800  dskbytr..A000  
    deniseid.00F8  hhposr...FF3E  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=00000000›22m  ta=21FF<21FF	   cra=›1m00000000  ta=FFFF<FFFF
    	    AII ROPS			    AII ROPS
    	crb=00000001›22m  tb=C9B0<FFFF	   crb=›1m10000000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=11111100›22m  prb=›1m11111111›22m      pra=›1m11111111›22m  prb=›1m11111111
           ddra=00000011›22m ddrb=›1m00000000›22m     ddra=›1m11000000›22m ddrb=›1m11111111
           event=000000  icr=00  sdr=00    event=00013A  icr=04  sdr=00
    
    ? file icon .whdl_register (3,962 bytes) 2017-03-26 21:54 +
  • ? file icon Subwar2050.slave (5,436 bytes) 2017-04-03 21:49

-Relationships
+Relationships

-Notes

note ~0004075

Patrick (reporter)

Last edited: 2014-09-21 12:07

View 2 revisions

Same here on A1200 AGA with B1260 @50MHz, 128MB FastRAM. Tried the latest slave 1.2-B with both, the AGA and CDยณยฒ version. Tried also to run with ExpChip eabled as suggested in another entry, but didn't work either: "Can't allocate ExpMem".

note ~0005499

JOTD (developer)

The coredump would be a plus. Cannot reproduce that here.

Could you enable "FILELOG" and post whdlfilelog so I can check loaded files too?

note ~0005500

Patrick (reporter)

Core dump & file log can be found here:
https://www.file-upload.net/download-12374234/whd_dump.zip.html

note ~0005502

JOTD (developer)

can you attach only FILELOG file here. The URL is a lame advertising/scam file server. Can you use dropbox instead?

note ~0005504

Patrick (reporter)

Okily Dokily, here's the DropBox link:
https://www.dropbox.com/s/uc3agjqd4pbo4c8/whd_dump.zip?dl=0

Btw., I just noticed that the file log is pretty much empty. All it contains is:

"******* 15-Mรคr-17 01:42:48 ******* Subwar2050.Slave ******* 18.2.5735 *******"

note ~0005506

JOTD (developer)

You have to enable FILELOG tooltype. File is .whdl_filelog.

note ~0005507

Patrick (reporter)

I just did and this is all I got.

note ~0005510

Wepl (manager)

Please try an actual WHDLoad. This sounds like a bug fixed in 18.0.

note ~0005511

Patrick (reporter)

As you can see in the log file, my current version is 18.2.5735 which should be the latest stable version, right?

note ~0005512

Wepl (manager)

Ok, then it must be a different problem.

note ~0005513

JOTD (developer)

have you tried another version from the web (www.whddownload.com) ? because your version may be corrupt.

note ~0005516

Patrick (reporter)

I already tried both versions from whdownload.com and they come up with the same error.
Meanwhile I figured out something else. I booted my Amiga without Startup-Sequence, started the game from CLI and it worked! A little more investigation showed that the usual suspect SetPatch - in particular the 68060 support library causes the crash. Then I downgraded this very library to an older version I found on a Phase5 system disk, but it didn't work either. Then I booted from a Workbench 3.1 installation which uses a way older SetPatch version and a complete different set of libraries and even then WHDLoad crashed with the same error.
I'm a little stuck at this point: No matter what I try, as soon as the 68060 support code is initialized the game refuses to run. None of my other WHDLoad installations has this issue.

note ~0005520

Wepl (manager)

does subwar use the fpu?
can you please add the .whdl_register directly here to the issue?

note ~0005521

Patrick (reporter)

Can't say anything about FPU usage. I attached .whdl_register to this note.

note ~0005522

Wepl (manager)

Ok.
This is because the Slave tells WHDLoad to disable the FPU but the tells the game there is a fpu.
@JOTD: In the Slave you use NEEDFPU for kickemu but later call resload_SetCPU without WCPUF_FPU, this causes WHDLoad to disable the fpu on a 68060 but installed game/kickstart will try save/restore fpu registers during task switch. Does this game really use the fpu? If no just remove NEEDFPU and reassmeble it.
It seems there is also missing WCPUF_FPU in kickemu if option CACHE is used there. I have to fix that.

note ~0005526

JOTD (developer)

Ok, that's an old one. Probably doesn't need FPU since it runs on 68020.

Check the one attached, reassembled without NEEDFPU

note ~0005527

Patrick (reporter)

The new slave works perfect! Thanks for finally fixing this "old one" :)
+Notes

-Issue History
Date Modified Username Field Change
2014-09-18 02:30 maw2k New Issue
2014-09-18 02:30 maw2k File Added: IMAG1288.jpg
2014-09-21 12:07 Patrick Note Added: 0004075
2014-09-21 12:07 Patrick Note Edited: 0004075 View Revisions
2017-03-12 18:37 JOTD Note Added: 0005499
2017-03-15 02:03 Patrick Note Added: 0005500
2017-03-16 00:00 JOTD Note Added: 0005502
2017-03-16 10:40 Patrick Note Added: 0005504
2017-03-18 21:16 JOTD Note Added: 0005506
2017-03-19 01:56 Patrick Note Added: 0005507
2017-03-21 17:01 Wepl Note Added: 0005510
2017-03-21 23:36 Patrick Note Added: 0005511
2017-03-22 11:12 Wepl Note Added: 0005512
2017-03-22 23:06 JOTD Note Added: 0005513
2017-03-24 00:45 Patrick Note Added: 0005516
2017-03-26 21:29 Wepl Note Added: 0005520
2017-03-26 21:54 Patrick File Added: .whdl_register
2017-03-26 21:54 Patrick Note Added: 0005521
2017-03-26 23:11 Wepl Note Added: 0005522
2017-04-03 21:49 JOTD File Added: Subwar2050.slave
2017-04-03 21:49 JOTD Note Added: 0005526
2017-04-04 02:12 Patrick Note Added: 0005527
2017-04-08 23:29 JOTD Assigned To => JOTD
2017-04-08 23:29 JOTD Status new => closed
2017-04-08 23:29 JOTD Resolution open => fixed
+Issue History